Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2071047 (CVE-2022-1205) - CVE-2022-1205 kernel: Null pointer dereference and use after free in net/ax25/ax25_timer.c
Summary: CVE-2022-1205 kernel: Null pointer dereference and use after free in net/ax25...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2022-1205
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2071054
Blocks: 2071050
TreeView+ depends on / blocked
 
Reported: 2022-04-01 16:42 UTC by Pedro Sampaio
Modified: 2022-10-06 15:41 UTC (History)
49 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A NULL pointer dereference flaw was found in the Linux kernel’s Amateur Radio AX.25 protocol functionality. This flaw allows a local user to crash the system.
Clone Of:
Environment:
Last Closed: 2022-04-18 14:08:48 UTC
Embargoed:


Attachments (Terms of Use)

Description Pedro Sampaio 2022-04-01 16:42:37 UTC
There are null pointer dereference and use-after-free vulnerabilities in net/ax25/ax25_timer.c of linux that allow attacker to crash linux kernel by simulating Amateur Radio from user-space.

Upstream fix:

https://github.com/torvalds/linux/commit/fc6d01ff9ef03b66d4a3a23b46fc3c3d8cf92009
https://github.com/torvalds/linux/commit/82e31755e55fbcea6a9dfaae5fe4860ade17cbc0

Comment 1 Pedro Sampaio 2022-04-01 16:49:02 UTC
There are null pointer dereference and use-after-free vulnerabilities in net/ax25/ax25_timer.c of linux that allow attacker to crash linux kernel by simulating Amateur Radio from user-space.

Upstream fix:

https://github.com/torvalds/linux/commit/fc6d01ff9ef03b66d4a3a23b46fc3c3d8cf92009
https://github.com/torvalds/linux/commit/82e31755e55fbcea6a9dfaae5fe4860ade17cbc0

Comment 2 Pedro Sampaio 2022-04-01 16:49:56 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2071054]

Comment 3 Salvatore Bonaccorso 2022-04-02 11:55:24 UTC
https://www.openwall.com/lists/oss-security/2022/04/02/4

Comment 6 Product Security DevOps Team 2022-04-18 14:08:43 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-1205


Note You need to log in before you can comment on or make changes to this bug.